Package com.ocient.jdbc.proto

## Class PlanProtocol.IncrementingBigIntOperator.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingBigIntOperator.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.IncrementingBigIntOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.IncrementingBigIntOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.IncrementingBigIntOperator

    public static final class PlanProtocol.IncrementingBigIntOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingBigIntOperator.Builder>
    implements PlanProtocol.IncrementingBigIntOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.IncrementingBigIntOperator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.IncrementingBigIntOperator.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.IncrementingBigIntOperator` `build()`
`PlanProtocol.IncrementingBigIntOperator` `buildPartial()`
`PlanProtocol.IncrementingBigIntOperator.Builder` `clear()`
`PlanProtocol.IncrementingBigIntOperator.Builder` `clearEnd()` `int64 end = 2;`
`PlanProtocol.IncrementingBigIntOperator.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.IncrementingBigIntOperator.Builder` `clearNullCount()` if null count is N, and the column is nullable, every Nth value will be null (e.g.
`PlanProtocol.IncrementingBigIntOperator.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.IncrementingBigIntOperator.Builder` `clearStart()` `int64 start = 1;`
`PlanProtocol.IncrementingBigIntOperator.Builder` `clone()`
`PlanProtocol.IncrementingBigIntOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`long` `getEnd()` `int64 end = 2;`
`long` `getNullCount()` if null count is N, and the column is nullable, every Nth value will be null (e.g.
`long` `getStart()` `int64 start = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.IncrementingBigIntOperator.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.IncrementingBigIntOperator.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.IncrementingBigIntOperator.Builder` `mergeFrom​(PlanProtocol.IncrementingBigIntOperator other)`
`PlanProtocol.IncrementingBigIntOperator.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.IncrementingBigIntOperator.Builder` `setEnd​(long value)` `int64 end = 2;`
`PlanProtocol.IncrementingBigIntOperator.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.IncrementingBigIntOperator.Builder` `setNullCount​(long value)` if null count is N, and the column is nullable, every Nth value will be null (e.g.
`PlanProtocol.IncrementingBigIntOperator.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.IncrementingBigIntOperator.Builder` `setStart​(long value)` `int64 start = 1;`
`PlanProtocol.IncrementingBigIntOperator.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingBigIntOperator.Builder>`

#### clear

    public PlanProtocol.IncrementingBigIntOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingBigIntOperator.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingBigIntOperator.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.IncrementingBigIntOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.IncrementingBigIntOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.IncrementingBigIntOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.IncrementingBigIntOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingBigIntOperator.Builder>`

#### setField

    public PlanProtocol.IncrementingBigIntOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                    Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingBigIntOperator.Builder>`

#### clearField

    public PlanProtocol.IncrementingBigIntOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingBigIntOperator.Builder>`

#### clearOneof

    public PlanProtocol.IncrementingBigIntOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingBigIntOperator.Builder>`

#### setRepeatedField

    public PlanProtocol.IncrementingBigIntOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                            int index,
                                                                            Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingBigIntOperator.Builder>`

#### addRepeatedField

    public PlanProtocol.IncrementingBigIntOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                            Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingBigIntOperator.Builder>`

#### mergeFrom

    public PlanProtocol.IncrementingBigIntOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.IncrementingBigIntOperator.Builder>`

#### mergeFrom

    public PlanProtocol.IncrementingBigIntOperator.Builder mergeFrom​(PlanProtocol.IncrementingBigIntOperator other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingBigIntOperator.Builder>`

#### mergeFrom

    public PlanProtocol.IncrementingBigIntOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                              throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.IncrementingBigIntOperator.Builder>`
Throws:
  `IOException`

#### getStart

    public long getStart()

`int64 start = 1;`

Specified by:
  `getStart` in interface `PlanProtocol.IncrementingBigIntOperatorOrBuilder`
Returns:
  The start.

#### setStart

    public PlanProtocol.IncrementingBigIntOperator.Builder setStart​(long value)

`int64 start = 1;`

Parameters:
  `value` - The start to set.
Returns:
  This builder for chaining.

#### clearStart

    public PlanProtocol.IncrementingBigIntOperator.Builder clearStart()

`int64 start = 1;`

Returns:
  This builder for chaining.

#### getEnd

    public long getEnd()

`int64 end = 2;`

Specified by:
  `getEnd` in interface `PlanProtocol.IncrementingBigIntOperatorOrBuilder`
Returns:
  The end.

#### setEnd

    public PlanProtocol.IncrementingBigIntOperator.Builder setEnd​(long value)

`int64 end = 2;`

Parameters:
  `value` - The end to set.
Returns:
  This builder for chaining.

#### clearEnd

    public PlanProtocol.IncrementingBigIntOperator.Builder clearEnd()

`int64 end = 2;`

Returns:
  This builder for chaining.

#### getNullCount

    public long getNullCount()

     if null count is N, and the column is nullable, every Nth
     value will be null (e.g. if null_count is 4, the operator
     will produce NULL, 1, 2, 3, NULL, 5, 6, 7, NULL...)
     If null count is negative, every Nth value will be NOT null
     (e.g. if null_count is -4 the operator will produce
     0, NULL, NULL, NULL, 4, NULL, NULL, NULL, 8...)

`int64 nullCount = 3;`

Specified by:
  `getNullCount` in interface `PlanProtocol.IncrementingBigIntOperatorOrBuilder`
Returns:
  The nullCount.

#### setNullCount

    public PlanProtocol.IncrementingBigIntOperator.Builder setNullCount​(long value)

     if null count is N, and the column is nullable, every Nth
     value will be null (e.g. if null_count is 4, the operator
     will produce NULL, 1, 2, 3, NULL, 5, 6, 7, NULL...)
     If null count is negative, every Nth value will be NOT null
     (e.g. if null_count is -4 the operator will produce
     0, NULL, NULL, NULL, 4, NULL, NULL, NULL, 8...)

`int64 nullCount = 3;`

Parameters:
  `value` - The nullCount to set.
Returns:
  This builder for chaining.

#### clearNullCount

    public PlanProtocol.IncrementingBigIntOperator.Builder clearNullCount()

     if null count is N, and the column is nullable, every Nth
     value will be null (e.g. if null_count is 4, the operator
     will produce NULL, 1, 2, 3, NULL, 5, 6, 7, NULL...)
     If null count is negative, every Nth value will be NOT null
     (e.g. if null_count is -4 the operator will produce
     0, NULL, NULL, NULL, 4, NULL, NULL, NULL, 8...)

`int64 nullCount = 3;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.IncrementingBigIntOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingBigIntOperator.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.IncrementingBigIntOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingBigIntOperator.Builder>`